Partially update customer
curl --request PATCH \
--url https://api.bizzyco.ai/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"status": "<string>",
"customerSince": "2023-11-07T05:31:56Z",
"data": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: '<string>',
name: '<string>',
email: '<string>',
phone: '<string>',
notes: '<string>',
status: '<string>',
customerSince: '2023-11-07T05:31:56Z',
data: {}
})
};
fetch('https://api.bizzyco.ai/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/customers/{id}"
payload = {
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"status": "<string>",
"customerSince": "2023-11-07T05:31:56Z",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/customers/{id}"
payload := strings.NewReader("{\n \"businessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"notes\": \"<string>\",\n \"status\": \"<string>\",\n \"customerSince\": \"2023-11-07T05:31:56Z\",\n \"data\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"status": "<string>",
"customerSince": "2023-11-07T05:31:56Z",
"data": {}
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Customers
Partially update customer
Partially update an existing customer. Only provided fields will be updated.
PATCH
/
v1
/
customers
/
{id}
Partially update customer
curl --request PATCH \
--url https://api.bizzyco.ai/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"status": "<string>",
"customerSince": "2023-11-07T05:31:56Z",
"data": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: '<string>',
name: '<string>',
email: '<string>',
phone: '<string>',
notes: '<string>',
status: '<string>',
customerSince: '2023-11-07T05:31:56Z',
data: {}
})
};
fetch('https://api.bizzyco.ai/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/customers/{id}"
payload = {
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"status": "<string>",
"customerSince": "2023-11-07T05:31:56Z",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/customers/{id}"
payload := strings.NewReader("{\n \"businessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"notes\": \"<string>\",\n \"status\": \"<string>\",\n \"customerSince\": \"2023-11-07T05:31:56Z\",\n \"data\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"status": "<string>",
"customerSince": "2023-11-07T05:31:56Z",
"data": {}
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Path Parameters
Customer UUID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Last modified on August 9, 2026
⌘I